Page MenuHomePhabricator

Wikimedia Developer Summit Wiki up
Closed, ResolvedPublic

Description

At https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit_2017
Add:

The ideas at T133261: Changes to promote diversity at the Wikimedia Hackathon 2017 are also applicable here.

Event Timeline

Rfarrand created this task.Aug 2 2016, 10:06 PM
Qgil added a comment.Aug 3 2016, 12:55 PM

This task is scheduled for the Oct-Dec sprint, but I guess we want to have the wiki up earlier?

Quiddity updated the task description. (Show Details)Aug 30 2016, 6:42 PM
Qgil claimed this task.Sep 5 2016, 7:11 AM
Qgil raised the priority of this task from Medium to High.
Qgil moved this task from Ready to Go to September on the Developer-Advocacy (Jul-Sep-2016) board.

I am taking this task for now.

There is an ongoing discussion in wikitech-l about the goals and target audience of the Summit. There have been loose discussions about these important topics in the past months and it is time to make decisions for the 2017 edition.

Qgil added a comment.Sep 9 2016, 8:14 AM

@Rfarrand and I have been discussing (just a bit) about how to make https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit_2017 and attractive and informative page, useful not only for those who already have decided to attend, but also to those who are considering the possibility, those who might forward to others if we excite them...

In other words, what can we realistically do right now in order to have a proper Summit "minisite" (that landing page and the subpages needed)?

Qgil updated the task description. (Show Details)Sep 9 2016, 9:44 AM
Qgil added a comment.EditedSep 9 2016, 9:53 AM

The ideas at T133261: Changes to promote diversity at the Wikimedia Hackathon 2017 are also applicable here. That task focuses on women, and we definitely welcome more women and other underrepresented groups at the Summit.

The idea also applies to developer profiles that we are missing at the Summit: tools, gadgets, templates, bots developers; 3rd party users of Wikimedia APIs; 3rd party users and developers of MediaWiki.

The main point of https://www.fastcompany.com/3059036/most-creative-people/what-do-women-want-at-hackathons-nasa-has-a-list is that if you are looking for new audiences, then

  • feature prominently speakers that these audiences relate with
  • feature prominently topics and sessions interesting to these audiences

These factors will help them decide a lot better than "just come, you'll see".

Hello!

This might be useful. It's a mini-page that we used for a hackathon at my previous job: https://18f.github.io/hackathontrainingday/

It listed: what the day was about, the code of conduct, the agenda, information about the hashtag (so participants would be encouraged to post on social) as well as information about food options. There were also a list of possible projects, so people could familiarize themselves beforehand, as well as a list of what to bring to the hackathon. I would add information about nursing rooms and/or childcare, if they exist, which will make the event open to those who might not otherwise be able to attend.

I also wrote a guide on "How to welcome new people to a hackathon" https://18f.gsa.gov/2015/04/03/how-to-welcome-new-coders-to-a-civic-hackathon/
Tips include:

  • Explicitly welcoming newcomers with a guide designed just for them (because they might need background that others already have)
  • Elect a designated person (or a few people) to act as a welcoming committee for newcomers. It can be difficult for organizers to play this role with so much going on, so you definitely want to identify people who can help newcomers.
  • Clearly define projects and enumerate how newcomers can get involved
  • Send participants information about projects before the event, along with a detailed guide to software/libraries/gems to install for each project, so participants knew what to expect and how to prep their computers to participate.
  • Add a section on how non-coders could help each project. It’s worth thinking about and then articulating — in writing — how people with other areas of expertise or knowledge can help during a hackday. If you don’t have time to write these issues out, you can open an issue that asks for someone to interview you about them. Voila! Problem solved.
  • Make really good nametags for people
  • Personally invite possible contributors
  • Develop a toolkit for participants

I realize this is a lot! I'm happy to help with any of these tasks, as I think doing this work beforehand will make for a much more productive day. I will likely need to cowork with someone on these tasks, as I'm not familiar with the specific projects.

Hi all,

I interviewed Erika Owens, who works for Mozilla OpenNews, about how to throw an intentional, inclusive conference. Thoughts are here: http://www.poynter.org/2016/how-to-throw-an-intentional-inclusive-journalism-conference/429805/

Mel

Mel & I had a quick meeting today and a lot of interesting ideas and discussion came from it.

Remote support ideas:

  • live transcribe every session
  • note takers for each session - notes in same place for remote people
  • ask people who are not the note taker
  • write up what occurred as a summary
  • presenters share materials
  • set up a virtual room where people can hangout and participate with an MC (guide to material that is being presented) Find someone familiar with material to pair with Mel.
  • Each session should have a "remote advocate" assigned who will monitor IRC & update it with discussion provoking commentary
  • Mel has offered to be a during event guide for remote participants. Will need help from somebody technical who understand the issues at hand.

Other ideas:

  • in order to facilitate remote participation, any "unconference" sessions that want remote participants will need to plan further in advance so remoties can plan and we can do outreach for those specific sessions. This will be an option given to unconference organizers
  • Survey to wikitech-l and other places for remote participation. Do they want to participate, how they want to participate and also giving them a chance to list skills and contact information for people to use to get in touch with them during the unscheduled day if they need help solving a problem. Also offers to do work from afar.
  • include a lighting talk hour during one of the days.

Social event ideas:
(all three days are relaxed & at WMF with food and drink but nothing fancy)

  • 1 day kareoke
  • 1 day "social lighting talks/open mic" ie: address the group in any way you like about anything you like
  • 1 day board games, bring your own

Next steps:

  • I will be speaking with a conference organizer from Mozilla who specializes in remote conference participation.

Later steps:

  • Mel has offered to help with documentation improvement
  • Mel is willing to help with outreach for attendees & remote attendees

Interesting / relevant links:
http://www.niemanlab.org/2016/04/join-our-nieman-lab-slack-to-talk-about-the-isoj-conference-in-austin/
http://srccon.org/
http://srccon.org/docs/
https://opennews.org/blog/srccon-human-stuff/
https://github.com/MozillaFoundation/mozfest-program-2016/issues?q=is%3Aopen+is%3Aissue+milestone%3A%22Session+accepted%22+label%3A%22%5BSpace%5D+Journalism%22
https://github.com/MozillaFoundation/mozfest-program-2016/issues/831
http://www.poynter.org/2015/7-conferences-1-couch-what-i-learned-this-weekend-without-leaving-my-apartment/349581/

Unrelated to Dev Summit, for hackathons - just wanted to capture it

  • Mel can help with a tool kit for local outreach for chapters running hackathons

Thanks so much for the great conversation @Rfarrand and for writing up these notes. I would love to get a sense of the time frame and scoping for the documentation work, so that I can block time off on my calendar.

My other question: When does outreach typically take place? (I also want to block off time for that, particularly if we're reaching out to potential newcomers to watch remotely.)

Mel

@MelodyKramer: I will get back to you as soon as I can for the documentation stuff. There are a few other groups that I would like to involve in this as well and need to get an understanding of their availability and involvement. I will schedule a meeting once I have more info.

As far as outreach - we need to open registration this week. Once registration is open out-reach can start for in person participants. Outreach for remote participation, based on our conversation, probably makes sense much closer to the event when we have a clear idea of how our remote participation is going to work and what sessions we will be having.

Qgil added a comment.Sep 20 2016, 2:32 PM

Thank you @MelodyKramer and @Rfarrand for all the discussion and feedback here. I have started to apply the ideas at https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit

  • The landing page should be really simple and targeted to potential participants. All the details about the program, info for participants etc has been moved to subpages.
  • I wish we could have a visually attractive landing page! I don't have the time, neither the skill. It doesn't need to be extra-fancy, just clean and not the usual Wikipedia-article look&feel. Removing a lot of info did part of the job. I have experimented with a couple of big blue buttons for the two actions we want from the users of that page. A nice picture of the venue would be great too. Other pictures providing an idea about the event and the participants would be useful as well.
  • In terms of content, I think I am only missing the main topics, which are still being discussed. Well, I still have to re-read your comments here to see what should be added or changed.

It is a wiki page. Edits welcome! :)

Qgil added a comment.Sep 21 2016, 9:26 AM

I have borrowed the layout offered by https://wikiconference.org/ -- see https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit

That picture doesn't need to be THE picture. I took it because is a Featured Image in Commons of The Presidio. If someone has a better candidate, please share.

Qgil added a comment.Sep 21 2016, 9:47 AM

Hm. Mobile view is not great. If someone knows how to fix that...

Qgil closed this task as Resolved.Sep 22 2016, 12:51 PM
Qgil updated the task description. (Show Details)

After a chat with Rachel, I have removed the {{draft}} template. That landing page is not blocking the opening of the registration anymore.

More improvements are welcome, but we can proceed with the regular wiki way. There is an open discussion about the design of the page at https://www.mediawiki.org/wiki/Topic:Tc02qdrsmh1wvm91

I am resolving this task. I will keep T133261: Changes to promote diversity at the Wikimedia Hackathon 2017 and the feedback above in mind when editing the site, and I recommend any other editors to do the same.